Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.axiom.messaging
Class MessageImpl

    java.lang.Object
      |
      +--theory.smart.foundation.BelongingImpl
            |
            +--theory.smart.axiom.messaging.MessageImpl

public class MessageImpl
extends BelongingImpl
implements Message

A text-based communication between two uniquely identified parties. It is used inconjunction with PostOffice and Mailbox classes to provide a simple messaging scheme. Messages and Mailboxes are managed by the `PostOffice`

See Also:
  `Message`, `MessageHome`, Serialized Form

Field Summary
`java.lang.String` | `body` body [Message] <*>------> [`String`]
`java.sql.Date` | `creationDate` creationDate [Message] <*>------> [`java.sql.Date`]
`java.lang.String` | `from` from [Message] <*>------> [`String`]
`int` | `identifier` identifier [Message] <*>------> [`int`]

Fields inherited from class theory.smart.foundation.BelongingImpl
`isDirty`

Constructor Summary
`MessageImpl()`

Method Summary
`int` | `compareTo(java.lang.Object o)`
`java.lang.String` | `getBody()` Get the value of body
`java.sql.Date` | `getCreationDate()` Get the value of creationDate
`java.lang.String` | `getFrom()` Get the value of from
`int` | `getIdentifier()` Get the value of identifier
`void` | `setBody(java.lang.String body)` Set the value of body
`void` | `setCreationDate(java.sql.Date creationDate)` Set the value of creationDate
`void` | `setFrom(java.lang.String from)` Set the value of from
`void` | `setIdentifier(int identifier)` Set the value of identifier
`Belonging` | `value()`

Methods inherited from class theory.smart.foundation.BelongingImpl
`equals`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### body

    public java.lang.String body

                        body
       [Message] <*>------> [String]

### identifier

    public int identifier

                        identifier
       [Message] <*>------> [int]

### creationDate

    public java.sql.Date creationDate

                        creationDate
       [Message] <*>------> [java.sql.Date]

### from

    public java.lang.String from

                        from
       [Message] <*>------> [String]

Constructor Detail

### MessageImpl

    public MessageImpl()

Method Detail

### getBody

    public java.lang.String getBody()

  Get the value of body
  Specified by:
    getBody in interface Message
  Returns:
    body.

### setBody

    public void setBody(java.lang.String body)

  Set the value of body
  Specified by:
    setBody in interface Message
  Parameters:
    `body` - body to be added

### getIdentifier

    public int getIdentifier()

  Get the value of identifier
  Specified by:
    getIdentifier in interface Message
  Returns:
    identifier.

### setIdentifier

    public void setIdentifier(int identifier)

  Set the value of identifier
  Specified by:
    setIdentifier in interface Message
  Parameters:
    `identifier` - identifier to be added

### getCreationDate

    public java.sql.Date getCreationDate()

  Get the value of creationDate
  Specified by:
    getCreationDate in interface Message
  Returns:
    creationDate.

### setCreationDate

    public void setCreationDate(java.sql.Date creationDate)

  Set the value of creationDate
  Specified by:
    setCreationDate in interface Message
  Parameters:
    `creationDate` - creationDate to be added

### getFrom

    public java.lang.String getFrom()

  Get the value of from
  Specified by:
    getFrom in interface Message
  Returns:
    from.

### setFrom

    public void setFrom(java.lang.String from)

  Set the value of from
  Specified by:
    setFrom in interface Message
  Parameters:
    `from` - from to be added

### value

    public Belonging value()

### compareTo

    public int compareTo(java.lang.Object o)

  Overrides:
    compareTo in class BelongingImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.